2025-12-02 01:10:36 UTC
97.2 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:13c6e95c06ae06f126f5e940d6d88c2fec0da715c80878ad225c76ad48d0a31e - 3.55% (3.45 MB)
[#001] sha256:08e641f844ec697d3da5372c2ff9b50cceb08065a6addb3f8398d9f39a7b56c6 - 3.46% (3.36 MB)
[#002] sha256:20951f42c214fb3607375003f32a1fffa058fa6ce8a2c355ef5cb72b5183ee92 - 0.0% (935 Bytes)
[#003] sha256:044428e8a7cddad945326dfc45a66a81f2b22193662863c0f6cc6ae2f2bbd2b7 - 0.0% (214 Bytes)
[#004] sha256:994778bcc5628c69b71f958a145451a50fdc4117bcd9d8c75429b918cd23275b - 14.07% (13.7 MB)
[#005] sha256:dbffe66fb422db8c98bff86212c61abbc241ba299bb7cdab1473553c888a10d7 - 0.0% (486 Bytes)
[#006] sha256:92fd0bda451a62d98ce171ca51038ffd3050aa7273a4946d2864c106b8bbdea6 - 16.57% (16.1 MB)
[#007] sha256:bdc4cb3ebaee920ec65c88f289cf99e766e4ac2cc7ffdedf4ddc67c576408704 - 0.0% (2.39 KB)
[#008] sha256:2099ab3725a9cbbe7959ff210115acf8a6c0cae48b359595dfe73793f8f20417 - 0.02% (19.6 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:f2bdf7a72473919e4cbccd870365704c35408b31f3c2bb80f919b0a521b19705 - 0.01% (8.97 KB)
[#011] sha256:b07910963c251641cb296a5699dd92a04176e78addce2c2e64dc43c871bb7df6 - 27.96% (27.2 MB)
[#012] sha256:345cd6451228dcf1e93274ad0d99a2d60bdfe1dae95e3f80c33a3efedc4fc323 - 7.95% (7.73 MB)
[#013] sha256:efae445a2b463a921631838232cd40644fcd1b4b6ba97bcc9f2a2f4f8232e66a - 0.0% (310 Bytes)
[#014] sha256:7aeea3196736af812dd5f76354d492988d9202a51310a7b73a2ddd5c4f8eee03 - 0.0% (391 Bytes)
[#015] sha256:243ff288823ca6cd236d359bf10b60925ac4644d4e41dfc0157a2426ef796b6e - 26.4% (25.7 MB)
[#016] sha256:a3b42e3277204a8540f4bd00229e04a93bad0c4dee8e2e22a1756a497057a997 - 0.0% (2.38 KB)
[#017] sha256:66229a00b2e0245cf3bc50e07b36051e2695dd7b5bf9b4670d540ad704a1d7e7 - 0.0% (1.72 KB)
[#018] sha256:e1fb50eb20beafd89defd73734f976d0b92865ac241c81c9cb80d2e251e6a427 - 0.0% (193 Bytes)
ADD alpine-minirootfs-3.22.2-x86.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-11-20 19:51:43 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-20 19:51:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-20 19:51:46 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-20 19:55:06 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 01:09:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 01:10:34 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 01:10:34 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 01:10:34 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 01:10:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 01:10:36 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 01:10:36 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 01:10:36 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 01:10:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 01:10:36 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 01:10:36 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 01:15:15 UTC
97.8 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:2d35ebdb57d9971fea0cac1582aa78935adf8058b2cc32db163c98822e5dfa1b - 3.71% (3.63 MB)
[#001] sha256:b8a0c3273211b5e26c34ef0e0bd0f2d25ecc87d31a2726263bf6e8c2c12e372f - 3.38% (3.3 MB)
[#002] sha256:653527f673f69dfc5634cf39747e7b044108cb4912ecd65549e3ec5b89aa7bc8 - 0.0% (935 Bytes)
[#003] sha256:815d6c9d275579e907e8dacee753269d7f057649d8b48804ae2ff348d18603fd - 0.0% (222 Bytes)
[#004] sha256:84649691874d20900355db075ad6b268c5d2fa4330653640290da53d43584900 - 13.98% (13.7 MB)
[#005] sha256:b512f071908a7fd4c0353a8fcbf77156af9a65f06ca588165146b920ecc02e39 - 0.0% (488 Bytes)
[#006] sha256:df8c0e2cc0bbf6a23f4b4bc58e4d8d07dbbf0013a693dd2e287f5b6c04b1e072 - 16.04% (15.7 MB)
[#007] sha256:cfe7dcc4e9e415476f566be9a604a1df9a175fed3e0520a5c74b81608bcd5e1d - 0.0% (2.39 KB)
[#008] sha256:ff442efc7bae703b060fb6512dc5aba22c76a2278b436ee71d5779dfc0481801 - 0.02% (19.6 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:32827cf7ce9f6b86f86350967e6266981fe8bf8cd25e121dab2504b1cc9d1e6b - 0.01% (8.97 KB)
[#011] sha256:c8935ff976be50da883eb192c858748bda3cedba2b32715a875eb640caef9c84 - 27.58% (27 MB)
[#012] sha256:d269abbbfd2e9b7b5fb6e2f0e38e01050a82d7aaafa33ddd7789583032dfce82 - 9.04% (8.84 MB)
[#013] sha256:51fc9e47d7849753d8507c12225bb4f5b9fd384e1d090ecf709242119446b120 - 0.0% (313 Bytes)
[#014] sha256:1728a72adbedf02f97e5dada10fc498634b5fe160d64b3ee34e7dcc94b10d002 - 0.0% (393 Bytes)
[#015] sha256:e2a0de873b5d120766d7cd5b4d3b5859f900f9fe74e8073c5ad5307b03618c8c - 26.23% (25.7 MB)
[#016] sha256:3ab18e2ca7a41ef572377bf8f74769679f454c38ca2510b65e538ae9150187fa - 0.0% (2.38 KB)
[#017] sha256:08d062286d46f53e06a6200ae34f95837042e9d7057c20a5fb9b33a0a674061a - 0.0% (1.73 KB)
[#018] sha256:2203d0fbaa8ee5275c522957d0acb84f46d5bdc88299c7be7c294799eea7687e - 0.0% (197 Bytes)
ADD alpine-minirootfs-3.22.2-x86_64.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-11-20 19:50:06 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-11-20 19:50:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-11-20 19:50:07 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-20 19:50:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-20 19:50:10 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-20 19:53:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-20 19:53:05 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-20 19:53:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-20 19:53:06 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-20 19:53:06 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-20 19:53:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-20 19:53:06 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-20 19:53:06 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-20 19:53:06 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 01:14:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 01:15:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 01:15:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 01:15:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 01:15:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 01:15:15 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 01:15:15 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 01:15:15 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 01:15:15 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 01:15:15 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 01:15:15 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 01:11:57 UTC
90.3 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:bb1da3d879939be7df9f182950d2fb201d4fc2e1043677da2037cd6afb084ce0 - 3.7% (3.34 MB)
[#001] sha256:62bad5c84f04d050d041f3c5030d6c4f8e67c13a30c354738c9e4f976ece8a8c - 3.62% (3.27 MB)
[#002] sha256:6fde1be9e486f06f836820e8ac8aba53ff599804f05171eaf2ff6edf9ac88e5a - 0.0% (936 Bytes)
[#003] sha256:fab8f479b628b893e0f30f2c91a23e251fe02c0bc9fc4f67e729c0e89b526696 - 0.0% (214 Bytes)
[#004] sha256:42ee9130fbc3deb9212b69f397e68b6c248b477b81fa4739ae2b9a144eef7a09 - 15.14% (13.7 MB)
[#005] sha256:84361cdac8b898a21ffda0e64e47f8791f3b7bbe8dd19752390b29c97476a00f - 0.0% (488 Bytes)
[#006] sha256:3b30710866a5aee04479c336ffdfffbd3811c0847ad9f21b9024b6cf8e9186c6 - 15.23% (13.8 MB)
[#007] sha256:685badd4471494845795100d1232a0164c54eb8dec74c5439c9c20affaa1e179 - 0.0% (2.39 KB)
[#008] sha256:785c29b20e82df08593d724de6a02511df7458e807f1d198c45d08059544a445 - 0.02% (19.4 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:c74cfe111e3a137c9c7aa0f67ac170ae4788e02398f05fb337d4afb62921a806 - 0.01% (8.97 KB)
[#011] sha256:4113747039c6bc5bf87d0e01fcf6a395999a125d8389e4b9015003561851cbf8 - 25.74% (23.2 MB)
[#012] sha256:54349bbcc2d65784611c3affde3afc14d06d84425d72dc9e0b786772eee7fdcd - 8.13% (7.34 MB)
[#013] sha256:18ab4e82801f6de05c7992a58590d0029c80405818b676ab490091994adaae0c - 0.0% (311 Bytes)
[#014] sha256:e1c9d04ce190a834701353c869a6d1b2bdd07be5a35d6c93be5569ef22e3052d - 0.0% (393 Bytes)
[#015] sha256:7abe9b3b926ff8d425c0cb911ec69b819506236088e9cf0c929536d47d0003d6 - 28.4% (25.7 MB)
[#016] sha256:e157bce05c7fec6316b60c6cf53bf2f95ee2877fc0a90bca4ff4a29721d91a8d - 0.0% (2.38 KB)
[#017] sha256:562705d34e9bcc54c46766b1e5e66ff4cd3a354d20c175ff358ed89d26bffa5b - 0.0% (1.73 KB)
[#018] sha256:5fa1c7e7c8c1da9ae77d60f70b2f9601c230a3108091f5a8e1c9bb9880d0ff93 - 0.0% (196 Bytes)
ADD alpine-minirootfs-3.22.2-armhf.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-11-20 19:45:17 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-11-20 19:45:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-11-20 19:45:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-11-20 19:45:17 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-11-20 19:45:18 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-20 19:45:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-20 19:45:21 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-20 19:48:25 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-20 19:48:25 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-20 19:48:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-20 19:48:26 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-20 19:48:26 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-20 19:48:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-20 19:48:26 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-20 19:48:26 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-20 19:48:26 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 01:10:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 01:11:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 01:11:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 01:11:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 01:11:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 01:11:56 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 01:11:56 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 01:11:56 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 01:11:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 01:11:57 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 01:11:57 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 01:16:19 UTC
89 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:2763c7fc79b66030222442365f4a0f69d9dbaa11f7fd47a918d29d732d52996c - 3.45% (3.07 MB)
[#001] sha256:35cb857f1c49ab2cd7d8eb438ed74fd9d89994b68cd657158e1767a90b2221a7 - 3.48% (3.09 MB)
[#002] sha256:0452bdd8bbe5a8f5c197568a4b44f37e13736c20fb814abd03064e591454cd5e - 0.0% (933 Bytes)
[#003] sha256:2e283de893a58516c4a63c998a081b985dd0e60da85ad056dfa720afc21bcad5 - 0.0% (214 Bytes)
[#004] sha256:6e7948af65c6defa195ac0aac292b522f3597cf89793e915f67e6a7d7a3c7c39 - 15.36% (13.7 MB)
[#005] sha256:5a24ea27e6a6e49108202444e49d2a22cfe0383c7f5a93d8803ef58b7cd765ff - 0.0% (487 Bytes)
[#006] sha256:8579adacc93dee3c449528ab3085d6eee70f8042c74610a6fb079eda08e47c7c - 14.62% (13 MB)
[#007] sha256:f7edc76e10a1e51de33ae27fcef306e13834fd01899d584e6ccc69478b63dc45 - 0.0% (2.39 KB)
[#008] sha256:2244fa8b221672765483f32845ca5c680e9160601f51a396713f0af50380d285 - 0.02% (19.4 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:926cbb77bffe3228b401fdf6e325e86fb5bbb8b27048ce6b17c20e8541878a57 - 0.01% (8.97 KB)
[#011] sha256:2ddb64b6906c0fb03b853baccd06400c9fbfae298adfc821d04845224b96c2d3 - 24.81% (22.1 MB)
[#012] sha256:f42e7a2c32c1c48cec9a4e94f0a33707b8d9ec48867635d5e8f4833fc43bdada - 9.42% (8.39 MB)
[#013] sha256:2340b999b71f20eb5e7526ccccb10f7c7e84ae88286b628974d524f07e21dff0 - 0.0% (311 Bytes)
[#014] sha256:e2f52ee34474a2fc4c9e0c1af1f4e681aeb8e3b10190b85096ff122bf8b2258d - 0.0% (390 Bytes)
[#015] sha256:5a324ea8e3d3d65cfa279e4e913b52c2313ba92ee77ce08554d36b11f2058c36 - 28.82% (25.7 MB)
[#016] sha256:1b93cb1f77de3155e6f0588a4a36eb61e9552c3d2a1150351516e53cb49a71d0 - 0.0% (2.38 KB)
[#017] sha256:88b42b872664f3d08b0760bcf3dada4bbca86b44e01bdb24aefdcc4c2319c819 - 0.0% (1.73 KB)
[#018] sha256:8f02493c8630ba06ae2f73881119b0009fd037f5e5a9a55adbec9a6ed700667b - 0.0% (197 Bytes)
ADD alpine-minirootfs-3.22.2-armv7.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-11-20 20:01:52 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-20 20:01:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-20 20:01:56 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-20 20:05:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-20 20:05:05 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-20 20:05:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-20 20:05:06 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-20 20:05:06 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-20 20:05:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-20 20:05:06 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-20 20:05:06 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-20 20:05:06 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 01:14:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 01:16:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 01:16:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 01:16:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 01:16:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 01:16:19 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 01:16:19 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 01:16:19 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 01:16:19 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 01:16:19 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 01:16:19 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 02:15:30 UTC
97.7 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:6b59a28fa20117e6048ad0616b8d8c901877ef15ff4c7f18db04e4f01f43bc39 - 4.04% (3.95 MB)
[#001] sha256:367ec9d497168c549f2247fd034c53ae139ca2119ecd169d3a5077266764ebcf - 3.38% (3.31 MB)
[#002] sha256:dde06d6c5e70a5cd4927c1f451661d460ce59d50f974cfd99a3519403c77059b - 0.0% (935 Bytes)
[#003] sha256:03c198bfe2eba5c7b8b21f18d0c4fdd9cad93e4814a31f7100bc8afb71b2465b - 0.0% (222 Bytes)
[#004] sha256:95e28c1e008953fa084e1c0773aa01a7e26c6b101981f7daf8ee8519fd9e7ce4 - 14.0% (13.7 MB)
[#005] sha256:1a7c0b1321fe99b7236232d08b0035c140a447f427663638a04a5b6898d8d04a - 0.0% (486 Bytes)
[#006] sha256:352631496099b6b8619cf2699a205b1e9958108561f07f081ecd8660dddfc7e9 - 15.61% (15.3 MB)
[#007] sha256:d874ce95a00d7d00e045c9ab672f9ed08efc443745900ab958537c94f00067a4 - 0.0% (2.39 KB)
[#008] sha256:e1fc3a39d006943542062dd5b8a8761243ddab69179c2fa22cbc42d1790bf3f5 - 0.02% (19.4 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:e0c6b27e34b6cff7b09e573ba650cf6bac232737eb15b265d7fd59532e548692 - 0.01% (8.97 KB)
[#011] sha256:48518c8a9c01e0b35d28e1ea157a15ee25702dd3de6f3c38b2feb0d9c1ccfbf1 - 27.44% (26.8 MB)
[#012] sha256:60831a9565ba0ec202df49ae16a19f9ccceca905dba26d6f41d9430b3ba2ba60 - 9.22% (9 MB)
[#013] sha256:9109787094f121f314e45868ece97d1874e2e393367b98e0f11fcd4b84fedbf6 - 0.0% (311 Bytes)
[#014] sha256:9ea2fc23be7e0878361f1b1344890409d2d9676546fbe425621ef7bce7047d9d - 0.0% (394 Bytes)
[#015] sha256:3f752d2ec097135d8ed0abcc2fe684db8224523a3daee56edd605881089eab04 - 26.26% (25.7 MB)
[#016] sha256:a86276ad6c204ec031a10e4e39a8a137bcb9de6262f4c29c009900fc1b14f87f - 0.0% (2.38 KB)
[#017] sha256:7c4e945c5eabea6cbfbd7317434ad2bc523be609a886b43e0442b0de0422366a - 0.0% (1.73 KB)
[#018] sha256:7cee96f6f97bcd8c943dfdbddb1ea19e8c2da80f7a8fa21d7d5f23ab51d76c84 - 0.0% (197 Bytes)
ADD alpine-minirootfs-3.22.2-aarch64.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-11-20 19:51:51 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-20 19:51:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-20 19:51:54 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-20 19:55:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-20 19:55:53 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-20 19:55:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-20 19:55:54 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-20 19:55:54 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-20 19:55:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-20 19:55:54 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-20 19:55:54 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-20 19:55:54 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 02:13:50 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 02:15:27 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 02:15:27 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 02:15:28 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 02:15:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 02:15:29 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 02:15:29 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 02:15:29 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 02:15:30 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 02:15:30 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 02:15:30 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 02:16:09 UTC
98.3 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:85a0f69f026b4a01420490809bed190217e05518f7b718c0bbc1ad4871e0dedf - 3.62% (3.56 MB)
[#001] sha256:b95a0b03903475651b081c7c705a4ab0f68ab5f5bba328735e8dae6e168526c7 - 3.51% (3.45 MB)
[#002] sha256:436cae3ea479232d2bcf67ca55e6705ab3775fa412e53331855937a2a7340b65 - 0.0% (937 Bytes)
[#003] sha256:1164e359044b0e56f99538c30031735fcef9128820673f06e10663118d04d0e3 - 0.0% (222 Bytes)
[#004] sha256:11996ce89abe41056b4ee14c64d26e657f10b554935320b1eecbe39e62151818 - 13.91% (13.7 MB)
[#005] sha256:debb76a824ffe892291839f3754234be3707b2e4018775216fb173864cbf19b5 - 0.0% (495 Bytes)
[#006] sha256:69f32bcb80ec85cf6222c6eece2008c2b57c3f6c53c0f54efdb1954a61fc558d - 16.02% (15.7 MB)
[#007] sha256:c120eaa8aa189346d5556980fc58b40b733207430f484c5d1b775548e626c4e5 - 0.0% (2.4 KB)
[#008] sha256:cacf51d9a9bced616cb14cac8cfcb6061d6472a89e07f05163abc7c3e950f863 - 0.02% (19.4 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:bbd79dab43dc15d7472b1e9b13b51bbe99d9a989d25c005dd7ee6159fc3204c2 - 0.01% (8.97 KB)
[#011] sha256:dc1a6567d2fdb490157a59699f8a3fc045c2cef2fa01b982a95a906bd2f99bff - 28.07% (27.6 MB)
[#012] sha256:bd2140e9ff46c669a864667f7fee25b66e9f42a95e2bd9e225ac88302966debd - 8.74% (8.59 MB)
[#013] sha256:ea698b9d1782e9fdd7197d1d6dcba296df5f03437b93fdb5c7bb982fa80e8d82 - 0.0% (313 Bytes)
[#014] sha256:b905dc395af6a5ca40f76b6e42b4e33fb544ba7a467b94f5df1806ff560efdb3 - 0.0% (393 Bytes)
[#015] sha256:0486dfd037c8fcdcfbf2538c61f0486e75faf9d721329516918c7d93931cafa4 - 26.1% (25.7 MB)
[#016] sha256:01e4f051c967304d0d8204593a494c1543ffb8735d272214cc3f99010ff1391b - 0.0% (2.38 KB)
[#017] sha256:ea4c3c02f0874b669aeab796afb189ee0ab217f06b6b69dbe4e04545e44f418b - 0.0% (1.73 KB)
[#018] sha256:5aeb996ba63158fca708cce42f0ddbc789532fbe95e6db5984c7c191980c2cf2 - 0.0% (195 Bytes)
ADD alpine-minirootfs-3.22.2-ppc64le.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-10-09 00:51:43 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-10-09 00:51:43 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-10-09 00:51:44 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-20 20:18:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-20 20:18:13 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-20 20:22:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-20 20:22:55 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-20 20:22:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-20 20:22:57 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-20 20:22:57 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-20 20:22:58 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-20 20:22:58 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-20 20:22:58 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-20 20:22:58 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 02:13:54 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 02:16:03 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 02:16:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 02:16:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 02:16:08 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 02:16:08 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 02:16:08 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 02:16:09 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 02:16:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 02:16:09 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 02:16:09 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 06:26:22 UTC
94.3 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:139bee3c50b89b56dcbc72522ce83097d9beb59d9d3a5c19072ccd1ad54b11c8 - 3.55% (3.35 MB)
[#001] sha256:a58e9f10e445dbf7ba866462dd44d0f912a09342dc97a4685769a2d057bcc7a9 - 3.64% (3.43 MB)
[#002] sha256:2579c35b4a5055268b9ccb82f8c3307c0a781af77168952679399ed4bde3b60a - 0.0% (932 Bytes)
[#003] sha256:98b6a920874b5f6759a41702af348a1eefb32a0674eeae4cd9d750418594caed - 0.0% (222 Bytes)
[#004] sha256:7b78145f828236da92cae404b7a86a1b9977547aef9cacd9db35b1f67c9b217a - 14.5% (13.7 MB)
[#005] sha256:830fd477687fc32a534de40617e67d6f74459e4e0fb3f069e7687225a4b56466 - 0.0% (494 Bytes)
[#006] sha256:9f49a7bd37116a433be0e3803b1b779ce35b95f464261073f97c42cbebaf1195 - 15.53% (14.7 MB)
[#007] sha256:38e8cf7cc49f12abda123c12dd7b9de013d264769e14023348f05eace2d4e89b - 0.0% (2.39 KB)
[#008] sha256:8b5d88d9b444572215e6a56af5d7e309c4a8ab72741077de3bfb4f32e54e8477 - 0.02% (19.4 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:11957a830585974032ad539f5009b50556d7935ff157f633722f23d27d7ad0ff - 0.01% (8.98 KB)
[#011] sha256:27e8a9eb18a6dc36a62b6ec1d138ed331ff0046038d00daacfd36d26051a4ff9 - 28.4% (26.8 MB)
[#012] sha256:2d8e29e3903968818ee950b832f2ca2e9f7a4734e4fa056c9ce564fce7ee0ef2 - 7.14% (6.73 MB)
[#013] sha256:11f7bae4275f81d9133f1a1415dcc8ea52d1e381c9d64203b656d1dd7649d1e6 - 0.0% (312 Bytes)
[#014] sha256:2c493ff42a782b5fc18b5f0dc3ead92915257565f0d23f63e89b5be63201802c - 0.0% (393 Bytes)
[#015] sha256:d91a29a1b222a0e6fff25d831f93e59580875a7546715b2378dec7650394fec8 - 27.2% (25.7 MB)
[#016] sha256:f08c96bc9469aa116d926673b81dd83066ba0442ebea32fe1d28c9fe573c0643 - 0.0% (2.38 KB)
[#017] sha256:7e9331fc41633068919e3edd06f6e5ef8069a88d012072ac765fe022a7633237 - 0.0% (1.73 KB)
[#018] sha256:f80ca070ff707af729ea2ddb41563c73b4d01613583fd4453e947d47b5f7626d - 0.0% (193 Bytes)
ADD alpine-minirootfs-3.22.2-riscv64.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-10-09 05:22:42 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-10-09 05:22:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-10-09 05:22:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-10-09 05:22:42 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-10-09 05:22:43 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-21 18:11:44 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-21 18:11:45 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-21 22:11:01 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-21 22:11:01 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-21 22:11:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-21 22:11:06 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-21 22:11:06 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-21 22:11:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-21 22:11:07 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-21 22:11:07 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-21 22:11:07 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 06:05:14 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 06:26:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 06:26:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 06:26:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 06:26:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 06:26:21 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 06:26:21 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 06:26:21 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 06:26:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 06:26:22 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 06:26:22 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 02:30:49 UTC
97.7 MB
1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA25639cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
PHP_URLhttps://www.php.net/distributions/php-8.5.0.tar.xz
PHP_VERSION8.5.0
[#000] sha256:e6b06613ca2e7cdf3e8ebbe71ca45137242628a4a3a4bfcb7a9f76d0d5b0e653 - 3.56% (3.48 MB)
[#001] sha256:cd4b2ff0842c178e1087be78ce7fd9398e218ab3073b14df552c39751910aff3 - 3.61% (3.52 MB)
[#002] sha256:c64042f4c00639ff2bff63c33afc688c6925e0d013d64d2047303f209d99a1d1 - 0.0% (937 Bytes)
[#003] sha256:8ffc27a2ba216e3112820154e14072605aef9af1bf9567b41460e5ff99890c35 - 0.0% (224 Bytes)
[#004] sha256:2f3738ea22be436dbf765172b36a5ce1ec149e5b3afe0c3a6c01df03241c30d1 - 14.0% (13.7 MB)
[#005] sha256:0f9b232c4abed9806308951d1684d67bcc7dead2ce1b226d676b8d6ac4ef7715 - 0.0% (488 Bytes)
[#006] sha256:489f2aa4f7d0496c47a995c666906ef1b8b895d42f1f58c7895af277b3ebf89c - 15.48% (15.1 MB)
[#007] sha256:e9146b29ffc060d6f4cc10a504fa0a7da309e7724fbaf89666214de0c099cb80 - 0.0% (2.39 KB)
[#008] sha256:12dbd960b85127b3baf7d15afdce89aca1b116d4670cb9150969c24b27ff7338 - 0.02% (19.4 KB)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:16ebd5c3f7da8870cf4441b8108bdcbae63541aeb359619f759adbda8904e0e0 - 0.01% (8.97 KB)
[#011] sha256:d33f249ae95c3107336c9afdff96b932f4d2f43b3fbe55a70578338966931f19 - 28.57% (27.9 MB)
[#012] sha256:fb2ad85626bc4e8f031c3ef2fb7c1aa464c98d1662c8b3a7fa4d346bbf5c8f6a - 8.48% (8.28 MB)
[#013] sha256:fc6ea7906157772c5450122048b41f9801358039503076df126f4523e24cd9db - 0.0% (314 Bytes)
[#014] sha256:68c10af53d8c42fb012b10b159d2788318141f50a5363baa9d04ca3a0a7ec93f - 0.0% (394 Bytes)
[#015] sha256:a4634b764e85de6f2d7d53d67a74f5d00dc82f844cbf3518670b80ad8a430459 - 26.27% (25.7 MB)
[#016] sha256:533a90d5259077922a1310577c056885e28161ffe5a0dd8de07b1ffcd1fa8266 - 0.0% (2.38 KB)
[#017] sha256:6478e7839aa08b07a212e8da1758274a3dcf115124565283eca481a159ebfa02 - 0.0% (1.73 KB)
[#018] sha256:9184ce6deeb4d7103576abfdcb03437dddcc70c698c08ab86af104def8dd3e83 - 0.0% (196 Bytes)
ADD alpine-minirootfs-3.22.2-s390x.tar.gz / # buildkit
2025-10-08 11:04:56 UTC (buildkit.dockerfile.v0)CMD ["/bin/sh"]
2025-11-20 20:07:46 UTC (buildkit.dockerfile.v0)ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2025-11-20 20:07:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz # buildkit
2025-11-20 20:07:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data # buildkit
2025-11-20 20:07:46 UTC (buildkit.dockerfile.v0)ENV PHP_INI_DIR=/usr/local/etc/php
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html # buildkit
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)ENV PHP_LDFLAGS=-Wl,-O1 -pie
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)ENV GPG_KEYS=1198C0117593497A5EC5C199286AF1F9897469DC 49D9AF6BC72A80D6691719C8AA23F5BE9C7097D4 D95C03BC702BE9515344AE3374E44BC9067701A5
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)ENV PHP_VERSION=8.5.0
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)ENV PHP_URL=https://www.php.net/distributions/php-8.5.0.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.5.0.tar.xz.asc
2025-11-20 20:07:47 UTC (buildkit.dockerfile.v0)ENV PHP_SHA256=39cb6e4acd679b574d3d3276f148213e935fc25f90403eb84fb1b836a806ef1e
2025-11-20 20:07:52 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; apk del --no-network .fetch-deps # buildkit
2025-11-20 20:07:52 UTC (buildkit.dockerfile.v0)COPY docker-php-source /usr/local/bin/ # buildkit
2025-11-20 20:14:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version # buildkit
2025-11-20 20:14:41 UTC (buildkit.dockerfile.v0)COPY docker-php-ext-* docker-php-entrypoint /usr/local/bin/ # buildkit
2025-11-20 20:14:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c docker-php-ext-enable sodium # buildkit
2025-11-20 20:14:42 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-php-entrypoint"]
2025-11-20 20:14:42 UTC (buildkit.dockerfile.v0)WORKDIR /var/www/html
2025-11-20 20:14:42 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini" # buildkit
2025-11-20 20:14:42 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGQUIT
2025-11-20 20:14:42 UTC (buildkit.dockerfile.v0)EXPOSE map[9000/tcp:{}]
2025-11-20 20:14:42 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2025-12-02 02:28:30 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; apk add --no-cache bash ghostscript imagemagick ; # buildkit
2025-12-02 02:30:45 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS freetype-dev icu-dev imagemagick-dev libheif-dev libavif-dev libjpeg-turbo-dev libpng-dev libwebp-dev libzip-dev ; docker-php-ext-configure gd --with-avif --with-freetype --with-jpeg --with-webp ; docker-php-ext-install -j "$(nproc)" bcmath exif gd intl mysqli zip ; pecl install imagick-3.8.1; docker-php-ext-enable imagick; rm -r /tmp/pear; out="$(php -r 'exit(0);')"; [ -z "$out" ]; err="$(php -r 'exit(0);' 3>&1 1>&2 2>&3)"; [ -z "$err" ]; extDir="$(php -r 'echo ini_get("extension_dir");')"; [ -d "$extDir" ]; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive "$extDir" | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-network --virtual .wordpress-phpexts-rundeps $runDeps; apk del --no-network .build-deps; ! { ldd "$extDir"/*.so | grep 'not found'; }; err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] # buildkit
2025-12-02 02:30:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; } > "$PHP_INI_DIR/conf.d/opcache-recommended.ini" # buildkit
2025-12-02 02:30:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; { echo 'error_reporting = E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_COMPILE_WARNING | E_RECOVERABLE_ERROR'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > "$PHP_INI_DIR/conf.d/error-logging.ini" # buildkit
2025-12-02 02:30:48 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; version='6.8.3'; sha1='fd56bcdc15f1877e45dce67942ea75949ed650e8'; curl -o wordpress.tar.gz -fL "https://wordpress.org/wordpress-$version.tar.gz"; echo "$sha1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; [ ! -e /usr/src/wordpress/.htaccess ]; { echo '# BEGIN WordPress'; echo ''; echo 'RewriteEngine On'; echo 'RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]'; echo 'RewriteBase /'; echo 'RewriteRule ^index\.php$ - [L]'; echo 'RewriteCond %{REQUEST_FILENAME} !-f'; echo 'RewriteCond %{REQUEST_FILENAME} !-d'; echo 'RewriteRule . /index.php [L]'; echo ''; echo '# END WordPress'; } > /usr/src/wordpress/.htaccess; chown -R www-data:www-data /usr/src/wordpress; mkdir wp-content; for dir in /usr/src/wordpress/wp-content/*/ cache; do dir="$(basename "${dir%/}")"; mkdir "wp-content/$dir"; done; chown -R www-data:www-data wp-content; chmod -R 1777 wp-content # buildkit
2025-12-02 02:30:49 UTC (buildkit.dockerfile.v0)VOLUME [/var/www/html]
2025-12-02 02:30:49 UTC (buildkit.dockerfile.v0)COPY --chown=www-data:www-data wp-config-docker.php /usr/src/wordpress/ # buildkit
2025-12-02 02:30:49 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2025-12-02 02:30:49 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c ln -svfT docker-entrypoint.sh /usr/local/bin/docker-ensure-installed.sh # buildkit
2025-12-02 02:30:49 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2025-12-02 02:30:49 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.